#ifndef ProtoGenWrapper_ExceptionTypes_H
#define ProtoGenWrapper_ExceptionTypes_H
namespace ProtoGenWrapper
{
	class ExceptionTypes
	{
	public:
		static int UnknownException();
		static int InvalidReferenceException();
		static int OutOfBoundsException();
		static int TypeMismatchException();
		static int NotImplementedException();

		/*
		 * DiagComException
		 */
		static int DiagComException();
		static int AmbiguousSemanticException();
		static int IncompleteParameterizationException();
		static int InvalidStateException();
		static int LossOfComException();
		static int UnknownComChannelException();
		static int UnknownResponseException();
		static int UnknownTargetException();

		/*
		 * DiagComPlusException
		 */
		static int DiagComPlusException();

		/*
		 * DiagConfigurationException
		 */
		static int DiagConfigurationException();
		static int ProjectChangeException();

		/*
		 * DiagDataBrowsingPlusException
		 */
		static int DiagDataBrowsingPlusException();
		static int InvalidTypeException();
		static int NotSupportedException();

		/*
		 * ComInterfaceException
		 */
		static int ComInterfaceException();
		static int ActivateEthernetException();
		static int IgnitionStateException();
		static int NoDefaultComInterfaceException();
		static int NotConnectedException();

		/*
		 * JobException
		 */
		static int JobException();
		static int InvalidParameterizationException();

		/*
		 * VehicleInfoException
		 */
		static int VehicleInfoException();
		static int GatewayException();

		/*
		 * EcuConfigurationException
		 */
		static int EcuConfigurationException();

		/*
		 * FlashPlusException
		 */
		static int FlashPlusException();

		/*
		 * BusMonitoringException
		 */
		static int BusMonitoringException();
	};
}
#endif // ProtoGenWrapper_ExceptionTypes_H
